Module | Bio::PDB::DataType::Pdb_LString
In: | lib/bio/db/pdb/pdb.rb

### Methods

[] new

### Public Class methods

[](nn)

[Source]

         # File lib/bio/db/pdb/pdb.rb, line 112
    112:         def self.[](nn)
    113:           m = Module.new
    114:           m.module_eval %Q{
    115:             @@nn = nn
    116:             def self.new(str)
    117:               str.to_s.ljust(@@nn)[0, @@nn]
    118:             end
    119:           }
    120:           m
    121:         end

new(str)

[Source]

         # File lib/bio/db/pdb/pdb.rb, line 122
    122:         def self.new(str)
    123:           String.new(str.to_s)
    124:         end

[Validate]